PETSc version 3.15.5
Fix/Edit manual page

# PetscSFGetGroups

gets incoming and outgoing process groups

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFGetGroups(PetscSF sf,MPI_Group *incoming,MPI_Group *outgoing)

Collective

### Input Argument

| sf | - star forest

### Output Arguments

| incoming | - group of origin processes for incoming edges (leaves that reference my roots)
| outgoing | - group of destination processes for outgoing edges (roots that I reference)

### See Also

PetscSFGetWindow(), PetscSFRestoreWindow()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages